Subject: bug#24873: 26.0.50; isearch-query-replace from regexp isearch doesn't add to replace-regexp history list

From: Mark Oteiza <[email-masked]>
Date: Fri, 4 Nov 2016 19:35:40 -0400

On 04/11/16 at 09:16pm, Richard Copley wrote:
> On 4 November 2016 at 20:53, Mark Oteiza <[email-masked]> wrote:
> > Sorry if I jumped the gun closing.
> >
> > I'm on 2955936 (master HEAD at the moment) and can't reproduce.
> 
> I can reproduce the issue with the given recipe in that revision.
> 
> To summarize, here are the test results stated so far in this thread,
> plus a few more that I'm stating now, in chronological order:
> 
> Good [RC] (before lexical binding in isearch.el):
> commit 329e0274ec6a4ae82f86905b8cf844971b943085
> Author: Mark Oteiza <[email-masked]>
> Date:   Tue Sep 27 13:34:29 2016 -0400
> 
> Bad [RC] (turn on lexical binding in isearch.el)
> commit cbb2e845187bfbcc62e2accc9df7891a2326608a
> Author: Mark Oteiza <[email-masked]>
> Date:   Wed Sep 28 13:08:12 2016 -0400
> 
> Good?? [MO] (this is the revision mentioned in #24580)
> commit 6d6c93f4cc02d5c03b2f0ec9e565d61a50677e14
> Author: Mark Oteiza <[email-masked]>
> Date:   Tue Oct 4 10:17:53 2016 -0400
> 
> Bad [SB] (unspecified, but containing the above).
> 
> >> >> >> > BAD [RC]:
> >> >> >> > commit 9640e9f4e95cd95c04875e90a4ff638e1e51f977
> >> >> >> > Author: Tino Calancha <[email-masked]>
> >> >> >> > Date:   Tue Oct 11 11:47:32 2016 +0900
> 
> Good [MO], Bad [RC]:
> commit 29559361f56c9398dcb69db7396dcfc0887843a2
> Author: Mark Oteiza <[email-masked]>
> Date:   Fri Nov 4 14:22:05 2016 -0400
> 
> Mark, it seems rude to ask, sorry, but are you sure you weren't testing
> a slightly different recipe? Otherwise it must be some difference in our
> environment which seems less likely.

No worries, I think I erred here (M-% instead of C-M-% I think is what
I was doing).  Sorry for the confusion! :(